/*
 *   Pontificia Universidade Catolica 
 *   Campinas  -  Brasil - 02/04/2004
 *                       
 *    Cesar Henrique Kallas          RA: 02099224   - opensrc@gmx.net - http://www.cesarkallas.cjb.net
 *    Renan Mathias Fernandes  RA: 02513356   - renanmathias@terra.com.br
 *
 *   Esse codigo retira uma matriz declarada em um arquivo texto e a transfere
 *   para a memoria.
 *
 *   O arquivo "data.txt" deve conter a matriz e deve estar no mesmo diretorio
 *   desse arquivo compilado.
 *
 *   Exemplo de um arquivo com uma matriz declarada em um arquivo txt [data.txt]:
 *
 *              1 1 3 1 2 3 4 1
 *              1 2 3 4 2 4 5 1
 *              1 2 3 5 6 7 2 1
 *              1 2 3 5 6 7 2 1
 *              1 2 3 5 6 7 2 1
 *              1 2 3 5 6 7 2 1
 *
 *   O arquivo data.txt deve conter um "enter" apos a ultima linha valida com valor.
 */

#include <stdio.h>

int main(int argc, char argv[])
{
	int linhas=0, colunas=0;
	int i=0, j=0;
	int matriz[100][100];
	char c;
	FILE *arquivo;
		
	arquivo=fopen("data.txt","rt");
	
	if(arquivo == NULL)
	{
		printf("\n Erro ao abrir o arquivo!\n\n");
		exit(1);
	}else
	fseek(arquivo,0,0); /* posiciona no inicio do arquivo */

	/* ler a matriz */
	while(!feof(arquivo))
	{
		fscanf(arquivo,"%c", &c);
		
		if(c=='\n')
		{
			linhas++;
			colunas=0;
		}
		else
		if(isdigit(c))
		{
			matriz[linhas][colunas]=atoi(&c);
			colunas++;
			i=colunas; /* copia do valor da coluna */
		}
	}
	
	/* ultimo valor diferente de zero para a coluna */
	colunas=i;
	
	/* imprime a matriz */
	for(i=0; i<linhas-1; i++)
	{
		printf("\n");
		for(j=0; j<colunas; j++)
			printf("%d ", matriz[i][j]);
	}	
	
	printf("\n\nlinha(s) [%d] :: coluna(s) [%d]\n",linhas-1,colunas);
	
	if(linhas != colunas)
		printf("Essa matriz nao e' um grafo\n\n");
	
	fclose(arquivo);
}
